Search Engine Journal: WP GDPR Plugin Hacked – Update Immediately

Search Engine Journal: WP GDPR Plugin Hacked – Update Immediately. “The popular WP GDPR Compliance plugin Plugin has a serious vulnerability.Any version less than 1.4.3 is vulnerable. Hackers are actively targeting this plugin. Sites are being hacked as of this writing. It is highly recommended to update now.”